#include "viz/line_plot.h"
#include "implot.h"

void line_plot(const char* title, const float* xs, const float* ys, int count) {
    if (ImPlot::BeginPlot(title, ImVec2(-1, 0))) {
        ImPlot::PlotLine("##data", xs, ys, count);
        ImPlot::EndPlot();
    }
}

void line_plot(const char* title, const double* xs, const double* ys, int count) {
    if (ImPlot::BeginPlot(title, ImVec2(-1, 0))) {
        ImPlot::PlotLine("##data", xs, ys, count);
        ImPlot::EndPlot();
    }
}
